#include <16F877.h>
#fuses HS,NOWDT,NOPROTECT,NOLVP
#use delay(clock=20000000)
#include <HDM64GS12.c>
#include <graphics.c>
#include <math.h>



void main() {
   float  adc = 0;
   float theta = 0;

   setup_adc_ports(RA0_ANALOG);
   setup_adc(ADC_CLOCK_INTERNAL);
   set_adc_channel(0);

   glcd_init(ON);                               // Must initialize the LCD
   glcd_circle(30, 47, 10, NO, ON);             // Draw the clock circle

   while(true) {
      adc = read_adc();                         // Read a value from the ADC
      



      // The following 3 lines make the clock hand spin around
      glcd_line(30, 47, 30+(int)(8*sin(theta)+.1), 47-(int)(8*cos(theta)+.1), OFF);
      theta =adc; //(theta > 5.9) ? 0 : (theta += .1);
      glcd_line(30, 47, 30+(int)(8*sin(theta)+.1), 47-(int)(8*cos(theta)+.1), ON);

      delay_ms(20);    // Reduces flicker by allowing pixels to be on
                        // much longer than off
    
   }
}

